Skip to main content

Get all residents

GEThttps://api.propexo.com/v1/residents/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external resident id

x_property_id string

Deprecated: Use Propexo property_id instead

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo property id

lease_id string

The Propexo lease id

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the resident.

email_1 string

The primary email address associated with the resident

phone_1 string

Possible values: Value must match regular expression ^[2-9]\d{9}$

Filter by phone number (10 digit format only)

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Resident Service ODEGetResidentList
    SDE Convergent BillingFTP
    Example: cggar22prl1fi3mdbgqchwwnq
    x_lease_idstring | nullnullablerequireddeprecated

    Deprecated. Use leases_meta_data instead

    InterfaceMethod
    Resident Service ODEGetResidentList
    leases_meta_data object[]

    Known associated lease meta data

  • Array [
  • lease_idstringrequired

    The Propexo unique identifier for the lease

    InterfaceMethod
    Resident Service ODEGetResidentList
    SDE Convergent BillingFTP
    Example: cehj7y81xlq8srvzmty6de4th
    x_resident_typestring | nullnullablerequired

    The external type of the resident from the integration vendor

    InterfaceMethod
    Resident Service ODEGetResidentList
    SDE Convergent BillingFTP
    Example: Head of Household
    resident_type_normalizedstring | nullnullablerequired

    Resident type from Propexo

    InterfaceMethod
    Resident Service ODEGetResidentList
    SDE Convergent BillingFTP
    Example: PRIMARY
    Show 2 variants
    • string
    • stringPRIMARYSECONDARYGUARANTOROTHER
    move_in_datenullrequired

    The move-in date associated with the resident

    Notice

    This field will always be null for REALPAGE

    Example: null
    move_out_datenullrequired

    The move-out date associated with the resident

    Notice

    This field will always be null for REALPAGE

    Example: null
    notice_datenullrequired

    The date the resident gave notice

    Notice

    This field will always be null for REALPAGE

    Example: null
    custom_data object | nullrequired
    object
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
  • ]
  • address_1_alternatenullrequired

    The first alternate address line associated with the resident

    Notice

    This field will always be null for REALPAGE

    Example: null
    address_1string | nullnullablerequired

    The first address line associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Example: 100 Main Street
    address_2_alternatenullrequired

    The second alternate address line associated with the resident

    Notice

    This field will always be null for REALPAGE

    Example: null
    address_2string | nullnullablerequired

    The second address line associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Example: Apt 4
    balance_in_centsnumber | nullnullablerequired

    The rent balance owed

    InterfaceMethod
    Resident Service ODEGetResidentList
    Example: 25000
    city_alternatenullrequired

    The alternate city associated with the resident

    Notice

    This field will always be null for REALPAGE

    Example: null
    citystring | nullnullablerequired

    The city associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Example: Austin
    country_alternatenullrequired

    The alternate country associated with the resident

    Notice

    This field will always be null for REALPAGE

    Example: null
    countrystring | nullnullablerequired

    The country associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Example: US
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Example: 1992-03-14T00:00:00.000Z
    email_1string | nullnullablerequired

    The primary email address associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    email_2nullrequired

    The secondary email address associated with the resident

    Notice

    This field will always be null for REALPAGE

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    SDE Convergent BillingFTP
    Example: Jordan
    is_employeenullrequired

    Is the resident an employee

    Notice

    This field will always be null for REALPAGE

    Example: null
    last_namestring | nullnullablerequired

    The last name associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    SDE Convergent BillingFTP
    Example: Hale
    late_balance_in_centsnumber | nullnullablerequired

    The past due rent balance owed

    InterfaceMethod
    Resident Service ODEGetResidentList
    Example: 5000
    middle_namenullrequired

    The middle name associated with the resident

    Notice

    This field will always be null for REALPAGE

    Example: null
    notesnullrequired

    Notes associated with the resident

    Notice

    This field will always be null for REALPAGE

    Example: null
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: MOBILE
    phone_1string | nullnullablerequired

    Primary phone number associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Example: 5125550142
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: HOME
    phone_2string | nullnullablerequired

    Secondary phone number associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Example: 5125550198
    state_alternatenullrequired

    The alternate state associated with the resident

    Notice

    This field will always be null for REALPAGE

    Example: null
    statestring | nullnullablerequired

    The state associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Example: TX
    zip_alternatenullrequired

    The alternate zip code associated with the resident

    Notice

    This field will always be null for REALPAGE

    Example: null
    zipstring | nullnullablerequired

    The zip code associated with the resident

    InterfaceMethod
    Resident Service ODEGetResidentGeneralInformation
    Example: 78701
    pets object[]required
    Notice

    This field is not currently hydrated for REALPAGE

  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    namestring | nullnullablerequired

    The name associated with the resident pet

    Notice

    This field is not currently hydrated for REALPAGE

    typestring | nullnullablerequired

    The type associated with the resident pet

    Notice

    This field is not currently hydrated for REALPAGE

    breedstring | nullnullablerequired

    The breed of the resident pet

    Notice

    This field is not currently hydrated for REALPAGE

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the resident pet

    Notice

    This field is not currently hydrated for REALPAGE

    age_in_yearsnumber | nullnullablerequired

    The age in years of the resident pet

    Notice

    This field is not currently hydrated for REALPAGE

    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the resident pet

    Notice

    This field is not currently hydrated for REALPAGE

    is_fixedboolean | nullnullablerequired

    Whether the resident pet is fixed

    Notice

    This field is not currently hydrated for REALPAGE

    is_service_animalboolean | nullnullablerequired

    Whether the resident pet is a service animal

    Notice

    This field is not currently hydrated for REALPAGE

    notesstring | nullnullablerequired

    Notes associated with the resident pet

    Notice

    This field is not currently hydrated for REALPAGE

    custom_data object | nullrequired
    object
  • ]
  • vehicles object[]required
    Notice

    This field is not currently hydrated for REALPAGE

  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident vehicle

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    makestring | nullnullablerequired

    The make of the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE

    modelstring | nullnullablerequired

    The Propexo data model (e.g. units, residents, applicants, etc.) associated with the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE

    colorstring | nullnullablerequired

    The color of the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE

    yearstring | nullnullablerequired

    The year of the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE

    license_plate_numberstring | nullnullablerequired

    The license plate number of the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE

    license_plate_statestring | nullnullablerequired

    The license plate state of the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE

    notesstring | nullnullablerequired

    Notes associated with the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE

    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum19required

    The property management system of record

    Show 13 enum values
    REALPAGEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: REALPAGE
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/residents/
curl https://api.propexo.com/v1/residents/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cggar22prl1fi3mdbgqchwwnq",
"leases_meta_data": [
{
"lease_id": "cehj7y81xlq8srvzmty6de4th",
"x_resident_type": "Head of Household",
"resident_type_normalized": "PRIMARY",
"move_in_date": null,
"move_out_date": null,
"notice_date": null,
"custom_data": "Unknown Type: object,null",
"last_seen": "2024-03-22T10:59:45.119Z"
}
],
"address_1_alternate": null,
"address_1": "100 Main Street",
"address_2_alternate": null,
"address_2": "Apt 4",
"balance_in_cents": 25000,
"city_alternate": null,
"city": "Austin",
"country_alternate": null,
"country": "US",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1992-03-14T00:00:00.000Z",
"email_1": "[email protected]",
"email_2": null,
"first_name": "Jordan",
"is_employee": null,
"last_name": "Hale",
"late_balance_in_cents": 5000,
"middle_name": null,
"notes": null,
"phone_1_type": "MOBILE",
"phone_1": "5125550142",
"phone_2_type": "HOME",
"phone_2": "5125550198",
"state_alternate": null,
"state": "TX",
"zip_alternate": null,
"zip": "78701",
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"name": "string",
"type": "string",
"breed": "string",
"gender_raw": "string",
"age_in_years": 0,
"weight_in_pounds": 0,
"is_fixed": true,
"is_service_animal": true,
"notes": "string",
"custom_data": "Unknown Type: object,null"
}
],
"vehicles": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"make": "string",
"model": "string",
"color": "string",
"year": "string",
"license_plate_number": "string",
"license_plate_state": "string",
"notes": "string",
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}